# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        OGMRip plugin to extract video title without any encoding
Name:           ogmrip-video-copy
Version:        0.3
Release:        150500.3.pm.3
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-video-copy-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
Requires:       MPlayer
Requires:       ogmrip

%description
ogmrip-video-copy is a plugin for OGMRip which enables the extraction
of a video title without any encoding.

%prep
%autosetup -p1

%build
sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install\
    video_codecsdir=%{_libdir}/ogmrip/video-plugins

%find_lang %{name}

find '%{buildroot}%{_libdir}' -name "*.la" -print -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-video-copy.so
%dir %{_datadir}/ogmrip
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profile-video-copy.xml

%changelog
* Thu Dec 24 2009 toni@links2linux.de
- update to 0.3
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
